package com.yfyy.iotx.bean;

/**
 * ext扩展数据
 */
public class ExtBean {
    private float hst;// 加热仓设定温度：70-130(℃)
    private int ds;
    private int gs;// 通道状态 1：落虫，0：排水
    private String dver;// 设备固件版本
    private String hs;
    private float shake_sec;
    private float tpl;
    private float tph;
    private int dat_f;// 数据上传时间间隔，单位：分钟(默认上传时间为 20 分钟)
    private double lat;// 纬度
    private int st;// 时控开始时间：0-23 单位(h)（当设备设置以时控模式开始工作时， 该字段为开始工作时间）
    private int tt;
    private double lng;// 经度
    private float vbat;// 电压
    private String imei;// 通讯板唯一 ID
    private int htim;// 加热时间：1-30 分钟
    private int collt;// 收集时间：1-30 单位(分钟)
    private int et;// 时控结束时间：0-23 单位(h)（当设备设置以时控模式开始工作时， 该字段为结束工作时间）
    private String iccid;// 物联网卡的 iccid 号 用于查询物联网卡的套餐、流量信息等
    private int dtype;// 设备类型 <测报灯设备类型为 3>
    private int batStatus;// 电压状态 0: 正常 1: 欠压
    private String dnds;
    private float hrt;// 加热仓实时温度（℃）
    private String proj;// 版本号
    private int gps;
    private int turnon;
    private int ts;
    private int ws;// 工作状态 0: 待机， 1: 工作
    private String vs;// 内部版本号
    private int shake;
    private float current;// 功率：单位(mA)
    private float fuse_voltage;// 保险丝电压
    private float ah;// 环境湿度（℃）
    private float at;// 环境温度（℃）
    private String stamp;// 时间 20180301211805(时间字符串: 2018/03/01/21:18:05)
    private String lamp;
    private int rps;// 雨控：0: 正常，1: 保护 (1: 设备进入雨控状态时，是不进入工作拍照的)
    private String upds;
    private int lps;// 光控：0: 正常，1: 保护 (1: 设备进入光控状态，检测到白天，光控 模式下白天不工作，所以保护)
    private int tps;// 温控：0: 正常，1: 保护 (1: 设备进入温控状态)
    private float csq;// 信号强度

    public float getHst() {
        return hst;
    }

    public void setHst(float hst) {
        this.hst = hst;
    }

    public int getDs() {
        return ds;
    }

    public void setDs(int ds) {
        this.ds = ds;
    }

    public int getGs() {
        return gs;
    }

    public void setGs(int gs) {
        this.gs = gs;
    }

    public String getDver() {
        return dver;
    }

    public void setDver(String dver) {
        this.dver = dver;
    }

    public String getHs() {
        return hs;
    }

    public void setHs(String hs) {
        this.hs = hs;
    }

    public float getShake_sec() {
        return shake_sec;
    }

    public void setShake_sec(float shake_sec) {
        this.shake_sec = shake_sec;
    }

    public float getTpl() {
        return tpl;
    }

    public void setTpl(float tpl) {
        this.tpl = tpl;
    }

    public int getDat_f() {
        return dat_f;
    }

    public void setDat_f(int dat_f) {
        this.dat_f = dat_f;
    }

    public float getTph() {
        return tph;
    }

    public void setTph(float tph) {
        this.tph = tph;
    }

    public double getLat() {
        return lat;
    }

    public void setLat(double lat) {
        this.lat = lat;
    }

    public int getSt() {
        return st;
    }

    public void setSt(int st) {
        this.st = st;
    }

    public int getTt() {
        return tt;
    }

    public void setTt(int tt) {
        this.tt = tt;
    }

    public double getLng() {
        return lng;
    }

    public void setLng(double lng) {
        this.lng = lng;
    }

    public float getVbat() {
        return vbat;
    }

    public void setVbat(float vbat) {
        this.vbat = vbat;
    }

    public String getImei() {
        return imei;
    }

    public void setImei(String imei) {
        this.imei = imei;
    }

    public int getHtim() {
        return htim;
    }

    public void setHtim(int htim) {
        this.htim = htim;
    }

    public int getCollt() {
        return collt;
    }

    public void setCollt(int collt) {
        this.collt = collt;
    }

    public int getEt() {
        return et;
    }

    public void setEt(int et) {
        this.et = et;
    }

    public String getIccid() {
        return iccid;
    }

    public void setIccid(String iccid) {
        this.iccid = iccid;
    }

    public int getDtype() {
        return dtype;
    }

    public void setDtype(int dtype) {
        this.dtype = dtype;
    }

    public int getBatStatus() {
        return batStatus;
    }

    public void setBatStatus(int batStatus) {
        this.batStatus = batStatus;
    }

    public String getDnds() {
        return dnds;
    }

    public void setDnds(String dnds) {
        this.dnds = dnds;
    }

    public float getHrt() {
        return hrt;
    }

    public void setHrt(float hrt) {
        this.hrt = hrt;
    }

    public String getProj() {
        return proj;
    }

    public void setProj(String proj) {
        this.proj = proj;
    }

    public int getGps() {
        return gps;
    }

    public void setGps(int gps) {
        this.gps = gps;
    }

    public int getTs() {
        return ts;
    }

    public void setTs(int ts) {
        this.ts = ts;
    }

    public int getWs() {
        return ws;
    }

    public void setWs(int ws) {
        this.ws = ws;
    }

    public String getVs() {
        return vs;
    }

    public void setVs(String vs) {
        this.vs = vs;
    }

    public int getShake() {
        return shake;
    }

    public void setShake(int shake) {
        this.shake = shake;
    }

    public float getCurrent() {
        return current;
    }

    public void setCurrent(float current) {
        this.current = current;
    }

    public float getAh() {
        return ah;
    }

    public void setAh(float ah) {
        this.ah = ah;
    }

    public float getAt() {
        return at;
    }

    public void setAt(float at) {
        this.at = at;
    }

    public String getStamp() {
        return stamp;
    }

    public void setStamp(String stamp) {
        this.stamp = stamp;
    }

    public String getLamp() {
        return lamp;
    }

    public void setLamp(String lamp) {
        this.lamp = lamp;
    }

    public int getRps() {
        return rps;
    }

    public void setRps(int rps) {
        this.rps = rps;
    }

    public String getUpds() {
        return upds;
    }

    public void setUpds(String upds) {
        this.upds = upds;
    }

    public int getLps() {
        return lps;
    }

    public void setLps(int lps) {
        this.lps = lps;
    }

    public int getTps() {
        return tps;
    }

    public void setTps(int tps) {
        this.tps = tps;
    }

    public float getCsq() {
        return csq;
    }

    public void setCsq(float csq) {
        this.csq = csq;
    }

    public int getTurnon() {
        return turnon;
    }

    public void setTurnon(int turnon) {
        this.turnon = turnon;
    }

    public float getFuse_voltage() {
        return fuse_voltage;
    }

    public void setFuse_voltage(float fuse_voltage) {
        this.fuse_voltage = fuse_voltage;
    }
}
